
From: <Andries.Brouwer@cwi.nl>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/adfs/adfs.h  |    8 --------
 25-akpm/fs/adfs/dir.c   |    3 ++-
 25-akpm/fs/adfs/dir_f.c |    6 +++---
 25-akpm/fs/adfs/inode.c |    5 +++--
 4 files changed, 8 insertions(+), 14 deletions(-)

diff -puN fs/adfs/adfs.h~adfs-add-static fs/adfs/adfs.h
--- 25/fs/adfs/adfs.h~adfs-add-static	2004-09-05 14:56:09.230199848 -0700
+++ 25-akpm/fs/adfs/adfs.h	2004-09-05 14:56:09.238198632 -0700
@@ -64,12 +64,7 @@ struct adfs_discmap {
 	unsigned int		dm_endbit;
 };
 
-/* dir stuff */
-
-
 /* Inode stuff */
-int adfs_get_block(struct inode *inode, sector_t block,
-		   struct buffer_head *bh, int create);
 struct inode *adfs_iget(struct super_block *sb, struct object_info *obj);
 void adfs_write_inode(struct inode *inode,int unused);
 int adfs_notify_change(struct dentry *dentry, struct iattr *attr);
@@ -83,9 +78,6 @@ void __adfs_error(struct super_block *sb
 		  const char *fmt, ...);
 #define adfs_error(sb, fmt...) __adfs_error(sb, __FUNCTION__, fmt)
 
-/* namei.c */
-extern struct dentry *adfs_lookup(struct inode *dir, struct dentry *dentry, struct nameidata *);
-
 /* super.c */
 
 /*
diff -puN fs/adfs/dir.c~adfs-add-static fs/adfs/dir.c
--- 25/fs/adfs/dir.c~adfs-add-static	2004-09-05 14:56:09.231199696 -0700
+++ 25-akpm/fs/adfs/dir.c	2004-09-05 14:56:09.238198632 -0700
@@ -268,7 +268,8 @@ struct dentry_operations adfs_dentry_ope
 	.d_compare	= adfs_compare,
 };
 
-struct dentry *adfs_lookup(struct inode *dir, struct dentry *dentry, struct nameidata *nd)
+static struct dentry *
+adfs_lookup(struct inode *dir, struct dentry *dentry, struct nameidata *nd)
 {
 	struct inode *inode = NULL;
 	struct object_info obj;
diff -puN fs/adfs/dir_f.c~adfs-add-static fs/adfs/dir_f.c
--- 25/fs/adfs/dir_f.c~adfs-add-static	2004-09-05 14:56:09.232199544 -0700
+++ 25-akpm/fs/adfs/dir_f.c	2004-09-05 14:56:09.239198480 -0700
@@ -165,7 +165,7 @@ adfs_dir_checkbyte(const struct adfs_dir
 /*
  * Read and check that a directory is valid
  */
-int
+static int
 adfs_dir_read(struct super_block *sb, unsigned long object_id,
 	      unsigned int size, struct adfs_dir *dir)
 {
@@ -260,7 +260,7 @@ adfs_obj2dir(struct adfs_direntry *de, s
  * get a directory entry.  Note that the caller is responsible
  * for holding the relevant locks.
  */
-int
+static int
 __adfs_dir_get(struct adfs_dir *dir, int pos, struct object_info *obj)
 {
 	struct super_block *sb = dir->sb;
@@ -290,7 +290,7 @@ __adfs_dir_get(struct adfs_dir *dir, int
 	return 0;
 }
 
-int
+static int
 __adfs_dir_put(struct adfs_dir *dir, int pos, struct object_info *obj)
 {
 	struct super_block *sb = dir->sb;
diff -puN fs/adfs/inode.c~adfs-add-static fs/adfs/inode.c
--- 25/fs/adfs/inode.c~adfs-add-static	2004-09-05 14:56:09.234199240 -0700
+++ 25-akpm/fs/adfs/inode.c	2004-09-05 14:56:09.240198328 -0700
@@ -24,8 +24,9 @@
  * Lookup/Create a block at offset 'block' into 'inode'.  We currently do
  * not support creation of new blocks, so we return -EIO for this case.
  */
-int
-adfs_get_block(struct inode *inode, sector_t block, struct buffer_head *bh, int create)
+static int
+adfs_get_block(struct inode *inode, sector_t block, struct buffer_head *bh,
+	       int create)
 {
 	if (block < 0)
 		goto abort_negative;
_
